using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AppData
{
  /// <summary>
  /// Classe gestione metodi di accesso ai dati embeddati
  /// </summary>
  public class selDataVoc
  {
    /// <summary>
    /// classe accesso tabelle selettori
    /// </summary>
    public selDataVoc()
    {
    }

    /// <summary>
    /// tabella vocabolario
    /// </summary>
    /// <returns></returns>
    public SteamWare.DataLayer_generic.VocabolarioDataTable getVocabolario()
    {
      return SteamWare.DataWrap.DW.taVocabolario.GetData();
    }
    /// <summary>
    /// tabella lingue
    /// </summary>
    /// <returns></returns>
    public SteamWare.DataLayer_generic.LingueDataTable getLingue()
    {
      return SteamWare.DataWrap.DW.taLingue.GetData();
    }


    /// <summary>
    /// faccio update del lemma indicato...
    /// </summary>
    /// <param name="Traduzione"></param>
    /// <param name="Original_Lingua"></param>
    /// <param name="Original_Lemma"></param>
    public void updateLemmaVoc(string Traduzione, string Original_Lingua, string Original_Lemma)
    {
      SteamWare.DataWrap.DW.taVocabolario.UpdateQuery(Traduzione, Original_Lingua, Original_Lemma);
    }
    /// <summary>
    /// cancella il lemma indicato
    /// </summary>
    /// <param name="Original_Lingua"></param>
    /// <param name="Original_Lemma"></param>
    public void deleteLemmaVoc(string Original_Lingua, string Original_Lemma)
    {
      SteamWare.DataWrap.DW.taVocabolario.DeleteQuery(Original_Lingua, Original_Lemma);
    }

  }
}
